Package org.eclipse.rap.rwt.service

# Interface UISessionListener

public interface UISessionListener
A listener that can be attached to a `UISession` to receive a notification before the UI session is destroyed.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`beforeDestroy(UISessionEvent event)`
Called before the related UI session is destroyed.

## Method Details

### beforeDestroy

void beforeDestroy(UISessionEvent event)
Called before the related UI session is destroyed.

Parameters:
  `event` - an event that provides access to the UI session